@import "variables/colors";
@import "variables/font";
.amounts-card {
  border: 0.5px solid #777777;
  border-radius: 8px;
  padding: 1rem;
  &__top {
    display: grid;
    grid-template-columns: 1fr 32px 1fr;
    height: 120px;
    .amount {
      p,
      h2 {
        margin: 0;
        padding: 0;
      }

      .status {
        display: inline-block;
        border-radius: 5px;
        padding: 0.3rem 0.5rem;
        font-family: $font-family-medium;
        margin-bottom: 5px;
        &.debt {
          background-color: $caribbean-green-60;
          color: black;
        }
        &.paid {
          background-color: $caribbean-green-80;
          color: white;
        }
      }
      .title-content {
        display: flex;
        gap: 5px;
        align-items: center;
      }
      .main-amount {
        color: $caribbean-green-60;
        font-family: $font-family-bold;
        font-size: 38px;
        margin: 5px 0;
      }
      .total {
        color: $info-60;
        font-size: 14px;
      }
    }

    .divider {
      height: 80%;
      width: 2px;
      background-color: $neutral-40;
      margin: auto;
    }
    .charges {
      display: flex;
      flex-direction: column;
      justify-content: space-evenly;
      p {
        margin: 0;
        padding: 0;
      }
      .charge {
        font-family: $font-family-medium;

        &__amount {
          color: $caribbean-green-80;
          font-family: $font-family-semibold;
        }
      }
    }
  }
  &__details {
    .arrow-container {
      display: inline-flex;
      align-items: center;
      gap: 0.5rem;
      cursor: pointer;
      &__title {
        font-size: $h5-font-size;
        font-family: $font-family-semibold;
        color: $neutral-80;
        margin: 1rem 0;
      }
      &__icon {
        font-size: $h2-font-size;
      }
    }
    .items-list {
      padding-right: 1rem;
      &__item {
        display: grid;
        grid-template-columns: auto 1fr auto;
        margin: 0.5rem 0;
        .title {
          color: $neutral-60;
          font-family: $font-family-bold;
          padding: 0;
          margin: 0;
        }
        .dashed {
          border-bottom: 1px dashed $neutral-40;
          position: relative;
          top: -6px;
        }
        .amount {
          color: $caribbean-green-80;
          font-family: $font-family-medium;
          text-align: right;
          padding: 0;
          margin: 0;
        }
      }
    }
  }
}

/* Works on Firefox */
.items-list {
  scrollbar-width: thin;
  scrollbar-color: $neutral-20 $neutral-30;
}

/* Works on Chrome, Edge, and Safari */
/* Designing for scroll-bar */
::-webkit-scrollbar {
  width: 4px;
}

/* Track */
::-webkit-scrollbar-track {
  background: $neutral-40;
  border-radius: 15px;
  padding: 2px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: $neutral-20;
  border-radius: 15px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: $neutral-10;
}
